Download it now!
Bug 32126 - Win32 icon alt-text mentions Oracle ...
Summary: Win32 icon alt-text mentions Oracle ...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 31865
  Show dependency treegraph
 
Reported: 2010-12-06 02:00 UTC by Michael Meeks
Modified: 2011-01-15 23:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots showing tooltipps (47.93 KB, application/download)
2010-12-06 03:51 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2010-12-06 02:00:40 UTC
Reported by Leif in a Danish locale:

> Alternative text on the program ikon says something about the
> documentformat that is supported by Oracle.
Comment 1 Rainer Bielefeld Retired 2010-12-06 03:27:35 UTC
Works for me with "LibreOffice 3.3.0 RC1 - WIN XP German UI, Spanish UI, Danish UI, English UI, French UI, [OOO330m17 (build 3.3.0.1)]"

Seems that that has been fixed in between, or only with Danish OS (I doubt)?

Pls feel free to reopen the issue if you can contribute concrete information that the problem still is visible in a current LibO version
Comment 2 Rainer Bielefeld Retired 2010-12-06 03:51:20 UTC
Created attachment 40821 [details]
Screenshots showing tooltipps
Comment 3 Michael Meeks 2010-12-06 06:50:01 UTC
Doh; a trivial grep for 'Oracle' shows things like this:

l10n/source/ca/localize.sdf:scp2	source\ooo\folderitem_ooo.ulf	0	LngText	STR_FI_TOOLTIP_SOFFICE				0	ca	El paquet d'ofimàtica compatible amb el format de document obert i estandarditzat ODF. Amb el suport d'Oracle.				2002-02-02 02:02:02
...
l10n/source/ca/localize.sdf:sysui	desktop\share\launcher_comment.ulf	0	LngText	startcenter				0	ca	El paquet ofimàtic compatible amb el format de document obert i estandarditzat ODF. Amb el suport d'Oracle.				2002-02-02 02:02:02

Which I assume is where this comes from; simply not substituted in a helpful way.
I guess we should manually sed them out of localize.sdf.
Comment 4 Andras Timar 2010-12-06 07:32:55 UTC
(In reply to comment #3)
These strings should have been overridden by lo-build-*.sdf files. They are not, because not all localizations are complete. Instead of s/Oracle/The Document Foundation/ which can lead to linguistic issues, we can revert these strings back to English in lo-build-*.sdf files and in the same time ask the localizers again to complete their translations.
Comment 5 Michael Meeks 2010-12-16 08:15:33 UTC
Would be a good idea to commit that reversion Andras - would simply changing the base English string work ?

Either way - it'd be great to have this in libreoffice-3-3 too ...
Comment 6 Petr Mladek 2011-01-04 06:04:55 UTC
I think that the cleanest solution would be to remove the wrong translations from the l10n module, so that the English string is used as fallback.

The point is that we should not add English strings instead of lang-speific strings into the po/lo-build-<lang>.po files. Otherwise, it would be had to fix what strings are actually translated.

Andras, any chance that you could look at it?
Comment 7 Andras Timar 2011-01-04 06:54:54 UTC
(In reply to comment #6)
> 
> Andras, any chance that you could look at it?

I will do it today.
Comment 8 Andras Timar 2011-01-04 14:34:35 UTC
I removed 4 strings that mention Oracle from each translation:

framework	source\classes\resource.src	0	string	STR_STATUSBAR_LOGOTEXT
instsetoo_native	inc_openoffice\windows\msi_languages\Control.ulf	0	LngText	OOO_CONTROL_124
scp2	source\ooo\folderitem_ooo.ulf	0	LngText	STR_FI_TOOLTIP_SOFFICE
sysui	desktop\share\launcher_comment.ulf	0	LngText	startcenter 

These strings are covered by lo-build-*.sdf files.
Comment 9 sophie 2011-01-15 04:33:33 UTC
Closing - Sophie